package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFCF7 extends MwfRequest<MWFCF7, MWFCF7Response> {

    @Parameter(name = "ACCOUNT_NUMBER")
    MWFCF7 accountNumber(String accountNumber);
    @Parameter(name = "APPL_ID")
    MWFCF7 applId(String applId);
    @Parameter(name = "CARD_BRAND")
    MWFCF7 cardBrand(String cardBrand);
    @Parameter(name = "CHANNEL_TYPE")
    MWFCF7 channelType(String channelType);
    @Parameter(name = "CLIENT_GROUP")
    MWFCF7 clientGroup(String clientGroup);
    @Parameter(name = "CONTRACT_NUMBER")
    MWFCF7 contractNumber(String contractNumber);
    @Parameter(name = "CPI")
    MWFCF7 cpi(String cpi);
    @Parameter(name = "DEFER_DAYS_COUNT")
    MWFCF7 deferDaysCount(Long deferDaysCount);
    @Parameter(name = "DEFER_MONTHS_COUNT")
    MWFCF7 deferMonthsCount(Long deferMonthsCount);
    @Parameter(name = "DISCOUNT_TYPE")
    MWFCF7 discountType(String discountType);
    @Parameter(name = "FEE_PLAN_TYPE")
    MWFCF7 feePlanType(String feePlanType);
    @Parameter(name = "FIRST_DRAW_AMT")
    MWFCF7 firstDrawAmt(Double firstDrawAmt);
    @Parameter(name = "GE_OBLGTN_SUM")
    MWFCF7 geOblgtnSum(Double geOblgtnSum);
    @Parameter(name = "ID_OM")
    MWFCF7 idOm(String idOm);
    @Parameter(name = "INT_RATE")
    MWFCF7 intRate(Double intRate);
    @Parameter(name = "LOAN_AMOUNT")
    MWFCF7 loanAmount(Double loanAmount);
    @Parameter(name = "OPERATION_TYPE")
    MWFCF7 operationType(String operationType);
    @Parameter(name = "RBP_CATEGORY")
    MWFCF7 rbpCategory(String rbpCategory);
    @Parameter(name = "SALES_PRODUCT_TYPE")
    MWFCF7 salesProductType(String salesProductType);
    @Parameter(name = "TERM")
    MWFCF7 term(Long term);
    @Parameter(name = "VARIANT_ID")
    MWFCF7 variantId(String variantId);
    @Parameter(name = "XSELL_CAMPAIGN")
    MWFCF7 xsellCampaign(String xsellCampaign);
}
